
import{ EntityHealthComponent, world}from"@minecraft/server";
world.events.entityHit.subscribe((e) => {
	if(e.entity.typeId=="minecraft:player") {
		var playerContainer=e.entity.getComponent("minecraft:inventory").container;
		var soulsId=["minecraft:spider", "minecraft:zombie", "minecraft:slime", "minecraft:skeleton"]
		if (e.hitEntity) {
			const health = e.hitEntity.getComponent(EntityHealthComponent.componentId);
			if(soulsId.includes(e.hitEntity.typeId)) {
				if (health.current == 0) {
					e.hitEntity.runCommandAsync("particle mythbreak:soul_eater_particle ~~~")
					e.hitEntity.runCommandAsync("summon mythbreak:enchanter_book_soul_signal ~~~")
				}
			} else if(e.hitEntity.typeId == "minecraft:iron_golem") {
				if (health.current == 0) {
					for(let playerSlot=0;playerSlot<8;playerSlot++) {
						var playerItem=playerContainer.getItem(playerSlot)
						if(playerItem) {
							if(playerItem.typeId=="minecraft:glass_bottle") {
								e.entity.runCommandAsync(`clear @s glass_bottle 0 1`)
								e.entity.runCommandAsync(`give @s mythbreak:golem_soul`)
								e.hitEntity.runCommandAsync("particle mythbreak:soul_eater_particle ~~~")
								e.hitEntity.runCommandAsync("summon mythbreak:enchanter_book_soul_signal ~~~")
							}
						}
					}
				}
			} else if(e.hitEntity.typeId == "minecraft:phantom") {
				if (health.current == 0) {
					for(let playerSlot=0;playerSlot<8;playerSlot++) {
						var playerItem=playerContainer.getItem(playerSlot)
						if(playerItem) {
							if(playerItem.typeId=="minecraft:glass_bottle") {
								e.entity.runCommandAsync(`clear @s glass_bottle 0 1`)
								e.entity.runCommandAsync(`give @s mythbreak:phantom_soul`)
								e.hitEntity.runCommandAsync("particle mythbreak:soul_eater_particle ~~~")
								e.hitEntity.runCommandAsync("summon mythbreak:enchanter_book_soul_signal ~~~")
							}
						}
					}
				}
			}
		}
	}
})









